body{
    background: #FFF;
    font-family: 'Roboto', sans-serif;
    font-size: 16px;
    line-height: 1.5;
}

header{
    margin: 3rem auto 5rem auto;
    width: 50vw;
    text-align: center;
}
header h1{
    margin-top: 0;
    font-size: 54px;
    font-weight: 300;
    color: #002D62;
}

section:not(.errors){
    margin: 2rem auto;
    width: 50vw;
    background: #FFF;
    padding-bottom: 3rem;
}
section h3{
    display: block;
    text-align: center;
    margin-top: 0;
    font-weight: 300;
    font-size: 1.5em;
}

section.intro{
    text-align: center;
    border: 1px dotted #002D62;
}
section.intro h2{
    padding: 2rem;
    background: #002D62;
    color: #FFF;
    margin-bottom: 3rem;
    margin-top: 0;
    font-size: 2em;
    font-weight: 300;
}
section.intro p{
    font-size: 18px;
    font-weight: 600;
    color: #002D62;
    padding-left: 2rem;
    padding-right: 2rem;
}
section.intro p:not(:last-child){
    margin-bottom: 2rem;
}

section{
    text-align: left;
    border: 1px dotted #FDB913;
}
h3{
    padding: 1rem;
    background: #FDB913;
    color: #002D62;
    text-transform: uppercase;
    margin-bottom: 2rem;
}

section p,
.q > label{
    font-weight: 300;
    padding-left: 3rem;
    padding-right: 3rem;
}
section p strong{
    color: #002D62;
    font-weight: 600;
}
section ol{
    padding-left: 5rem;
    padding-right: 5rem;
    margin: 0;
    margin-bottom: 2rem;
}
section ol li{
    font-weight: 600;
    color: #002D62;
}

.q{
    padding: 1rem 2rem;
}

.q small{
    color: #AAA;
    font-weight: 300;
    font-style: italic;
}

/** ERREURS DE VALIDATION ***************************************************************************************/

.errors{
    display: none;
    margin: 2rem 2rem 0 2rem;
    background: rgba(221, 17, 68, 0.1);
    border: 1px dotted #D14;
    padding-top: 2rem;
    padding-bottom: 2rem;
    color: #D14;
    text-align: center;
    font-size: 18px;
    font-weight: 600;
}

label.error{
    color: #D14;
}
input[type="text"].error{
    background: rgba(221, 17, 68, 0.1);
    border-color: #D14 !important;
}

/** CONFIRMATION D'ENREGISTREMENT *******************************************************************************/

.success{
    margin: 2rem 2rem 0 2rem;
    background: rgba(52,168,83, 0.1);
    border: 1px dotted #34A853 !important;
    padding-top: 2rem;
    padding-bottom: 2rem;
    color: #34A853;
    text-align: center;
    font-size: 18px;
    font-weight: 600;
}


/** QUESTIONS - RADIO ET CHECKBOX *******************************************************************************/

.q > span{
    font-weight: 600;
    display: block;
    width: calc(100% - 2rem);
    padding: 0rem 1rem;
    margin-bottom: 1rem;
}

section.intro p.required,
.q.required > span > span{
    color: #D14;
    margin-left: 0.5rem;
    margin-bottom: 0;
}

.q:not(.scale) .answers{
    margin-left: 2rem;
}
.q:not(.scale) > .answers input[type="radio"],
.q:not(.scale) > .answers input[type="checkbox"]{
    margin: 0 0.5rem 0 0;
}
.q:not(.scale) > .answers input[type="text"]{
    margin: 0 0.5rem 0 1rem;
    border: 1px solid #DDD;
    border-radius: 3px;
    padding: 0.2rem 0.5rem;
    width: 20vw;
}


/** HONEYPOT ****************************************************************************************************/

.q52{
    display: none;
}


/** QUESTIONS - SCALE *******************************************************************************************/

.scale > span{
    margin-top: 2rem;
}
.scale > div{
    display: flex;
    justify-content: space-between;
    width: calc( 100% - 1rem );
    border-bottom: 1px solid #EEE;
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    margin-left: 1rem;
}
.scale > div .answers{
    min-width: 110px;
    display: flex;
    justify-content: space-evenly;
}
.scale > div .answers.libelles > span{
    font-weight: 600;
    color: #FFF;
    font-size: 12px;
    background: #002D62;
    border-radius: 50px;
    width: 18px;
    height: 18px;
    display: flex;
    align-items: center;
    justify-content: center;

}
.scale > div > label{
    font-weight: 300;
}
.scale > div .answers input[type="radio"],
.scale > div .answers input[type="checkbox"]{
    margin: 0;
}


/** SOUS-QUESTIONS CONDITIONNELLES ******************************************************************************/

.toggleable{
    display: none;
}
.toggleable .answers{
    display: flex;
    flex-direction: column;
}


/** SUBMIT FORM *************************************************************************************************/

input[type="submit"]{
    background: #002D62;
    color: #FFF;
    text-transform: uppercase;
    margin: 3rem auto;
    padding: 1rem 2rem;
    border: 0px transparent solid;
    display: block;
    font-size: 18px;
}

body.loading{
    width: 100vw;
    height: 100vh;
    overflow: hidden;
}

.loader{
    display: none;
    width: 100vw;
    height: 100vh;
    overflow: hidden;
    background: #FFF;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}

.loader p{
    font-size: 20px;
    font-weight: 600;
    text-align: center;
    margin: calc( 50vh - 24px ) auto 0 auto;
    border: 1px dotted#002D62;
    color: #002D62;
    padding: 3rem;
    width: 50%;
}

.loader p strong{
    font-size: 24px;
    color: #FDB913;
    text-transform: uppercase;
}